Fly.io
Volumes

Destroy Volume

View as Markdown

Delete a specific volume within an app by volume ID.

DELETE
/apps/{app_name}/volumes/{volume_id}

Delete a specific volume within an app by volume ID.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

volume_id*string

Volume ID

Response Body

application/json

curl -X DELETE "https://example.com/apps/string/volumes/string"
{  "attached_alloc_id": "string",  "attached_machine_id": "string",  "auto_backup_enabled": true,  "block_size": 0,  "blocks": 0,  "blocks_avail": 0,  "blocks_free": 0,  "bytes_total": 0,  "bytes_used": 0,  "created_at": "string",  "encrypted": true,  "fstype": "string",  "host_status": "ok",  "id": "string",  "name": "string",  "region": "string",  "size_gb": 0,  "snapshot_retention": 0,  "state": "string",  "type": "local",  "zone": "string"}